=begin
#Faxsuite RESTful API

#<p><img src=\"https://service.fax-api.de/4.0/img/fax-api.png\" height=\"100\" title=\"title\" /></p>  # API Definition <p><img src=\"https://service.fax-api.de/4.0/img/open_api.png\" height=\"50\" title=\"title\" /></p>  Die <b>RESTful API</b> basiert auf den <b>OpenAPI v3.0.3</b> Spezifikationen. OpenAPI Spezifikationen (OAS) definieren eine standardisierte und programmiersprachenunabhängige Schnittstellenbeschreibung für RESTful APIs. Diese Schnittstelle ist nutzbar ohne dass der Zugang zum Quellcode, zusätzliche Dokumentation oder die Untersuchung des Netzwerk-Traffics erforderlich ist. Somit kann ein Nutzer den Dienst mit einem Minimum an Implementierungslogik verstehen, mit ihm interagieren und einfach und schnell als API-Schnittstelle in seine eigene Softwareanwendung integrieren..<br><br>Weitere Informationen zu OpenAPI finden sie hier: <a href=\"https://www.openapis.org/\"><b>https://www.openapis.org/</b></a>   # Einleitung  <p><img src=\"https://service.fax-api.de/4.0/img/fax-api-faxsuite_v2.png\" height=\"350\" title=\"title\" />  </p>  Mit unserer <b>Faxsuite</b> können Sie überall und zu jederzeit Faxe senden und empfangen. Neben vielen anderen Funktionalitäten bietet Ihnen unsere <b>Faxsuite</b> auch eine RESTFul API-Schnittstelle. Damit können Sie z. B. aus Ihrer eigenen Softwareanwendung Faxe automatisiert versenden. Zeitintensive und teure Investionen in Hardware und Software gehören der Vergangenheit an und sind nicht mehr notwendig..<br><br>Um den API Service nutzen zu können, müssen Sie sich für die <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a> anmelden. Ein kostenloser Testzugang kann <a href=\"https://www.faxverteiler.com/testzugang/\"><b>hier</b></a> beantragt werden. (<i>To use the API service you need to sign up for the <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a>. A free trial access can be requested <a href=\"https://www.faxverteiler.com/testzugang/\"><b>here</b></a></i>).<br><br>Mit der <b>Faxsuite</b> haben Sie die Kontrolle über Ihre Fax-Kampangen. Mit dem kostenlosen Testzugang können Sie alle Faxsuite Module (Fax-API, Mail2Fax, Faxdrucker, Faxmailing und Faxempfang) unverbindlich ausprobieren. Sie bekommen 10 kostenlose Faxseiten, die Sie zum aktiven Kennenlernen unserer Faxsuite nutzen können. (<i>You can test the <b>Faxsuite</b> modules for four weeks without obligation. You will receive 10 free fax pages with the free trial access</i>)<br><br>Nachdem Sie den Zugang beantragt haben, können Sie sich <a href=\"https://www.faxsuite.de/\"><b>hier</b></a> in die <b>Faxsuite</b> einloggen. Unter dem Menüpunkt 'FAX-API | Konto verwalten' können Sie ein neues Fax-API Konto erstellen. Bei der Erstellung des Fax-API Kontos wird automatisch ein Autorisierungs-Schlüssel generiert, welchen Sie für den Zugang zur API-Schnittstelle benötigen. (<i>After creating a login you can access the <b>Faxsuite</b> <a href=\"https://www.faxsuite.de/\"><b>here</b></a>. In the menu 'FAX-API | Konto verwalten' you can create a new API-Account and receive the related token/key you need to gain access to our API service</i>).<br><br>Die standardisierte API Dokumentation wird Ihnen in zwei unterschiedlichen, als nicht <b>interaktive</b> und <b>interaktive</b> Varinaten angeboten:  |Name|Type|Link| |-----|-----|-------| | <b>Redoc</b> | non interactive | <b><a href=\"https://service.fax-api.de/4.0/rest/index.html\">click here for redoc</a></b> | <b>Swagger UI</b> | interactive (self hosted) | <b><a href=\"https://service.fax-api.de/4.0/rest/swagger-ui/index.html\">click here for swagger</a></b> |  

OpenAPI spec version: 4.0.0
Contact: support@fax-api.de
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.35
=end

require 'spec_helper'
require 'json'

# Unit tests for SwaggerClient::JobDetailsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'JobDetailsApi' do
  before do
    # run before each test
    @instance = SwaggerClient::JobDetailsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of JobDetailsApi' do
    it 'should create an instance of JobDetailsApi' do
      expect(@instance).to be_instance_of(SwaggerClient::JobDetailsApi)
    end
  end

  # unit tests for get_job
  # /jobs/{id}
  # Description: Obtain information of a specific job
  # @param id Identification number (UUID) of the job
  # @param [Hash] opts the optional parameters
  # @return [Job]
  describe 'get_job test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_job_notifications
  # /jobs/{id}/notifications
  # Description: To obtain a list of notifications to a specific job
  # @param id Identification number (UUID) of the job
  # @param [Hash] opts the optional parameters
  # @return [Notifications]
  describe 'get_job_notifications test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_job_previews
  # /jobs/{id}/preview
  # Description: To obtain the preview pdf document of a specific job
  # @param id Identification number (UUID) of the job
  # @param [Hash] opts the optional parameters
  # @return [Preview]
  describe 'get_job_previews test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_job_recipients
  # /jobs/{id}/recipients
  # Description: Resource to obtain a list of recipients to a specific job
  # @param id Identification number (UUID) of the job
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :object_limit Query parameter to change de default limitation of objects in the result data array
  # @option opts [Integer] :object_offset Query parameter to change de default offset of objects in the result data array
  # @option opts [String] :filter_fax_number Query parameter to fetch recipients after his fax number
  # @option opts [String] :filter_fax_number_norm Query parameter to fetch recipients after his normed fax number
  # @option opts [String] :filter_recipient_reference Query parameter to fetch recipients after his recipient reference
  # @option opts [String] :filter_international_dialing_code Query parameter to fetch recipients after his international dialing code
  # @option opts [String] :filter_result_code Query parameter to fetch recipients after his result code
  # @option opts [String] :filter_result_text Query parameter to fetch recipients after his result text
  # @option opts [String] :sort_field Available sort options for the result data array.
  # @option opts [String] :sort_order Describes the order for used sort fields
  # @return [JobRecipients]
  describe 'get_job_recipients test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_job_templates
  # /jobs/{id}/templates
  # Description: To obtain a list of template documents to a specific job
  # @param id Identification number (UUID) of the job
  # @param [Hash] opts the optional parameters
  # @return [Templates]
  describe 'get_job_templates test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for put_job
  # /jobs/{id}
  # Description: Control the transmission of the specific job
  # @param body Describes the required request body to perform an action on the fax job
  # @param id Identification number (UUID) of the job
  # @param [Hash] opts the optional parameters
  # @return [Job]
  describe 'put_job test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
